CREATE TABLE hrc_integration_objects[ (
    OBJECT_NAME                 VARCHAR2(1024)    NOT NULL,
    BASE_TABLE_NAME             VARCHAR2(120)     NOT NULL,
    LOADER_KEY_MAP_VONAME       VARCHAR2(1200),
    SURROGATE_ID_COLUMN_NAME    VARCHAR2(1024)    NOT NULL,
    DESCRIPTION_COLUMN_NAME     VARCHAR2(1024)    NOT NULL,
    OBJECT_VERSION_NUMBER       NUMBER(9, 0)      NOT NULL,
    CREATED_BY                  VARCHAR2(256)     NOT NULL,
    CREATION_DATE               TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY             VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE            TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN           VARCHAR2(128) ,
    SGUID                       VARCHAR2(128) ,
    SEED_DATA_SOURCE            VARCHAR2(2048),
    ORA_SEED_SET1               VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2               VARCHAR2(4)       NOT NULL
);
